Skip to main content
`Ctrl`+`K`

# ISColoringDestroy

Destroys an `ISColoring` coloring context.

## Synopsis

    #include "petscis.h"
    PetscErrorCode ISColoringDestroy(ISColoring *iscoloring)

Collective

## Input Parameter

- iscoloring - the coloring context

## See Also

`ISColoring`, `ISColoringView()`, `MatColoring`

## Level

advanced

## Location

src/vec/is/is/utils/iscoloring.c

## Examples

src/mat/tutorials/ex16.c
src/snes/tutorials/ex14.c
src/tao/unconstrained/tutorials/minsurf2.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages